function Create(self)
	if self.Magazine then
		self.ammo = self.Magazine.RoundCount
	else
		self.ammo = 0
	end
end

function Update(self)
	if self.Magazine then
		if self.ammo > self.Magazine.RoundCount then
			-- bullets are missing from the magazine so the gun must have been fired
			
			local Parent = MovableMan:GetMOFromID(self.RootID)
			
			-- forward
			for i = 1, 4 do
				Effect = CreateMOSParticle("Tiny Smoke Ball 1", "Base.rte")
				if Effect then
					Effect.Vel = self.Vel + self:RotateOffset(Vector(RangeRand(1,5),RangeRand(-3,3)))
					Effect.Pos = self.MuzzlePos
					MovableMan:AddParticle(Effect)
				end
			end

			for i = 1, 1 do
				Effect = CreateMOSParticle("Small Smoke Ball 1", "Base.rte")
				if Effect then
					Effect.Vel = self.Vel + self:RotateOffset(Vector(RangeRand(1,3),RangeRand(-1,1)))
					Effect.Pos = self.MuzzlePos
					MovableMan:AddParticle(Effect)
				end
			end
		end
		
		-- update the ammo counter so this script can't spawn bullets until the gun has been fired again
		self.ammo = self.Magazine.RoundCount
	end
end
